Results 1 to 2 of 2

Thread: Metasploit package missing for ARM architectures

  1. #1
    Join Date
    2013-Mar
    Posts
    2

    Metasploit package missing for ARM architectures

    Hi,

    I recently installed Kali Linux on my Raspberry Pi, and everything worked well. Great work guys, thanks! One issue I have is that the "metasploit" package itself (not the metasploit-framework package) is not available for ARM. I checked in the package repository (http://http.kali.org/kali/pool/main/m/metasploit/) and there are no ARM versions of the package. That means that the metasploit service can't be started, although msfconsole seems to work just fine (takes a bit of time to start, but that's expected). Will this package be ported to ARM or is there a problem with porting it?

  2. #2
    Join Date
    2013-Mar
    Posts
    2
    I filed a bug report and received the following info from dookie: "This isn't a bug. Metasploit hasn't been packaged yet for ARM but it's being worked on by Rapid 7." So I guess we just need to sit tight until Rapid 7 finish their port.

Similar Threads

  1. missing package files in apt repo
    By altj in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2015-08-17, 15:06
  2. Metasploit package errors please help
    By Sly14Cat in forum General Archive
    Replies: 4
    Last Post: 2013-05-28, 13:34

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •